Skip to content
Start here

Pause integration

client.zeroTrust.casb.integrations.pause(stringid, IntegrationPauseParams { account_id } params, RequestOptionsoptions?): IntegrationPauseResponse { id, application, auth_method, 12 more }
POST/accounts/{account_id}/one/integrations/{id}/pause

Pauses an integration, stopping all crawlers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: string
params: IntegrationPauseParams { account_id }
account_id: string

Cloudflare account identifier.

ReturnsExpand Collapse
IntegrationPauseResponse { id, application, auth_method, 12 more }

Serializer for v2 integration detail response with use cases.

id: string

Integration ID.

formatuuid
application: Record<string, string | null>
auth_method: Record<string, string> | null

The integration’s authentication method.

created: string

When the integration was created.

formatdate-time
credentials_expiry: string

Credentials expiry time.

formatdate-time
dlp_profiles: Array<string>

DLP Profiles enabled for the integration.

health_details: Array<Record<string, unknown>>

Health details with remediation hints.

is_paused: boolean

Whether the user paused the integration.

last_hydrated: string

Last time the integration was hydrated.

formatdate-time
name: string

Name of the integration.

organization_id: number

Organization ID.

status: string

Integration status.

updated: string

When the integration was last updated.

formatdate-time
use_cases: Array<Record<string, unknown>>

Use cases enabled for the integration.

Pause integration

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.zeroTrust.casb.integrations.pause('id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.id);
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "application": {
    "foo": "string"
  },
  "auth_method": {
    "foo": "string"
  },
  "authorization_link": {
    "components": {
      "foo": "bar"
    },
    "link": "link"
  },
  "created": "2019-12-27T18:11:19.117Z",
  "credentials_expiry": "2019-12-27T18:11:19.117Z",
  "dlp_profiles": [
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  ],
  "health_details": [
    {
      "foo": "bar"
    }
  ],
  "is_paused": true,
  "last_hydrated": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "organization_id": 0,
  "status": "status",
  "updated": "2019-12-27T18:11:19.117Z",
  "use_cases": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "application": {
    "foo": "string"
  },
  "auth_method": {
    "foo": "string"
  },
  "authorization_link": {
    "components": {
      "foo": "bar"
    },
    "link": "link"
  },
  "created": "2019-12-27T18:11:19.117Z",
  "credentials_expiry": "2019-12-27T18:11:19.117Z",
  "dlp_profiles": [
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  ],
  "health_details": [
    {
      "foo": "bar"
    }
  ],
  "is_paused": true,
  "last_hydrated": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "organization_id": 0,
  "status": "status",
  "updated": "2019-12-27T18:11:19.117Z",
  "use_cases": [
    {
      "foo": "bar"
    }
  ]
}